Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::DocInverterPerField Class Reference

Holds state for inverting all occurrences of a single field in the document. This class doesn't do anything itself; instead, it forwards the tokens produced by analysis to its own consumer (InvertedDocConsumerPerField). It also interacts with an endConsumer (InvertedDocEndConsumerPerField). More...

`#include <DocInverterPerField.h>`

Inheritance diagram for Lucene::DocInverterPerField:

## Public Member Functions

| DocInverterPerField (const DocInverterPerThreadPtr &perThread, const FieldInfoPtr &fieldInfo)
virtual | ~DocInverterPerField ()
virtual String | getClassName ()
boost::shared_ptr< DocInverterPerField > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual void | abort ()
virtual void | processFields (Collection< FieldablePtr > fields, int32_t count)
| Processes all occurrences of a single field.
Public Member Functions inherited from Lucene::DocFieldConsumerPerField
virtual | ~DocFieldConsumerPerField ()
boost::shared_ptr< DocFieldConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumerPerField
static String | _getClassName ()

## Data Fields

InvertedDocConsumerPerFieldPtr | consumer
InvertedDocEndConsumerPerFieldPtr | endConsumer
DocStatePtr | docState
FieldInvertStatePtr | fieldState

## Protected Attributes

DocInverterPerThreadWeakPtr | _perThread
FieldInfoPtr | fieldInfo
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Holds state for inverting all occurrences of a single field in the document. This class doesn't do anything itself; instead, it forwards the tokens produced by analysis to its own consumer (InvertedDocConsumerPerField). It also interacts with an endConsumer (InvertedDocEndConsumerPerField).

## Constructor & Destructor Documentation

## ◆ DocInverterPerField()

Lucene::DocInverterPerField::DocInverterPerField | ( | const DocInverterPerThreadPtr & | perThread,
|  | const FieldInfoPtr & | fieldInfo
| ) |  |

## ◆ ~DocInverterPerField()

virtual Lucene::DocInverterPerField::~DocInverterPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DocInverterPerField::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::DocInverterPerField::abort | ( |  | ) |

virtual

Implements Lucene::DocFieldConsumerPerField.

## ◆ getClassName()

virtual String Lucene::DocInverterPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocFieldConsumerPerField.

## ◆ initialize()

virtual void Lucene::DocInverterPerField::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ processFields()

virtual void Lucene::DocInverterPerField::processFields | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count
| ) |  |

virtual

Processes all occurrences of a single field.

Implements Lucene::DocFieldConsumerPerField.

## ◆ shared_from_this()

boost::shared_ptr< DocInverterPerField > Lucene::DocInverterPerField::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _perThread

DocInverterPerThreadWeakPtr Lucene::DocInverterPerField::_perThread

protected

## ◆ consumer

InvertedDocConsumerPerFieldPtr Lucene::DocInverterPerField::consumer

## ◆ docState

DocStatePtr Lucene::DocInverterPerField::docState

## ◆ endConsumer

InvertedDocEndConsumerPerFieldPtr Lucene::DocInverterPerField::endConsumer

## ◆ fieldInfo

FieldInfoPtr Lucene::DocInverterPerField::fieldInfo

protected

## ◆ fieldState

FieldInvertStatePtr Lucene::DocInverterPerField::fieldState

The documentation for this class was generated from the following file:

- DocInverterPerField.h

clucene.sourceforge.net